package me.Demon.DemonChestPreview;

import me.Demon.DemonChestPreview.Command.ChestCommand;
import me.Demon.DemonChestPreview.Listener.PreviewEvent;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.ArrayList;
import java.util.List;

public class Main extends JavaPlugin {
    public static Main plugin;
    public static String prefix = "§7[§6箱子展示§7] §f";
    public static List<String> previewList = new ArrayList<>();

    public void onEnable() {
        plugin = this;
        saveDefaultConfig();
        Bukkit.getServer().getPluginManager().registerEvents(new PreviewEvent(), plugin);
        getCommand("dcpreview").setExecutor(new ChestCommand());
        getCommand("dcpreview").setTabCompleter(new ChestCommand());
        previewList.addAll(getConfig().getStringList("ChestLoc"));
        Bukkit.getConsoleSender().sendMessage("§f[§6!§f] §aDemonChestPreview (" + this.getDescription().getVersion() + ")  §f开始加载");
        Bukkit.getConsoleSender().sendMessage("§f[§6!§f] §b已加载展示箱: §f" + previewList.size() + " §b个");
        Bukkit.getConsoleSender().sendMessage("§f[§6!§f] §aDemonChestPreview §f加载完成,祝你使用愉快！");
        Bukkit.getConsoleSender().sendMessage("§f[§6!§f] §f作者QQ号: §c32282861");
    }


    public void onDisable() {
        Bukkit.getConsoleSender().sendMessage("§f[§6!§f] §eDemonChestPreview §c卸载完成,下次再见！");
    }
}