package me.Demon.DemonChestPreview.Listener;

import me.Demon.DemonChestPreview.Main;
import org.bukkit.Location;
import org.bukkit.Sound;
import org.bukkit.block.BlockState;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.ClickType;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryType;
import org.bukkit.inventory.Inventory;

public class PreviewEvent implements Listener {

    @EventHandler
    public void onChestClick(InventoryClickEvent e) {
        Player p = (Player) e.getWhoClicked();
        Inventory inv = e.getInventory();
        if (inv.getHolder() instanceof BlockState) {
            BlockState blockState = (BlockState) inv.getHolder();
            Location chestLocation = blockState.getLocation();
            String world = chestLocation.getWorld().getName();
            int x = chestLocation.getBlockX();
            int y = chestLocation.getBlockY();
            int z = chestLocation.getBlockZ();
            String loc = world + "," + x + "," + y + "," + z;
            if (Main.previewList.contains(loc)) {
                if (inv.getType() == InventoryType.CHEST && !p.isOp()) {
                    if (e.getClick() == ClickType.DOUBLE_CLICK || e.getClick() == ClickType.SHIFT_LEFT || e.getClick() == ClickType.SHIFT_RIGHT) {
                        e.setCancelled(true);
                        p.closeInventory();
                        p.sendMessage("§7点击速度过快,请慢一点。");
                        p.playSound(p.getLocation(), Sound.BLOCK_COMPARATOR_CLICK, 1.0F, 2.0F);
                        return;
                    }
                    e.setCancelled(true);
                }
            }
        }
    }
}